from odoo.upgrade import util

def migrate(cr, version):
    # https://github.com/odoo/enterprise/pull/39367:
    # - in pre--migrate.py we renamed them to a temporary name, now renamed
    #   them to their final name
    for bak_name, initial_name in [
            ("bak_country_id", "country_id"),
            ("bak_industry_id", "industry_id")
    ]:
        util.rename_field(cr, "sale.order", bak_name, initial_name)
        util.move_field_to_module(cr, "sale.order", initial_name,
                                  "sale_subscription", "openerp_enterprise")
        # avoid "field has respawn" error
        util.ENVIRON["__renamed_fields"]["sale.order"].pop(initial_name, None)
